package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 10:33 2017/10/17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AirSourceMenuVo extends Page implements Serializable {
    private static final long serialVersionUID = 26065423914663207L;


    private Integer id;

    /**
     * 分组 ID
     */
    private String groupId;


    /**
     * 后缀
     */
    private String postfix;

    /**
     * 数据源状态
     */
    private Integer status;
    /**
     * 数据源组
     */
    private String sourceGroup;
    /**
     * 数据源名
     */
    private String sourceName;
    /**
     * 组内默认数据源   bool 值
     */
    private Integer isDefault;
    /**
     * 搜索接口地址
     */

    private String searchUrl;
    /**
     * 验证接口地址
     */

    private String verufyUrl;
    /**
     * 下单接口地址
     */

    private String orderUrl;
    /**
     * 支付接口地址
     */

    private String payUrl;

    /**
     * 编辑人
     */
    private String editUser;

    /**
     * 更新时间 精确到秒
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;



}
