package com.bjlt.spider.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * sc_refund_rules
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RefundRules  extends Page implements Serializable{

	/**

	 */
	private Integer id;

	/**
	 数据源group id
	 */
	private Integer sourceGroupId;

	/**
	 是否允许退票
	 */
	private Integer hasRefund;

	/**
	 退票规则
	 */
	private String refund;

	/**
	 部分退票规则
	 */
	private Integer partRefund;

	/**
	 部分退票费用
	 */
	private String partRefundPrice;

	/**
	 是否允许改期
	 */
	private Integer hasEndorse;

	/**
	 改期规则
	 */
	private String endorse;

	/**
	 是否允许部分改期
	 */
	private Integer partEndorse;

	/**
	 部分改期规则
	 */
	private Integer partEndorsePrice;

	/**
	 签转规则
	 */
	private Integer endorsement;

	/**
	 行李是否免费
	 */
	private Integer hasBaggage;

	/**
	 行李规则
	 */
	private String baggage;

	/**
	 是否有now show 规则
	 */
	private Integer hasNoShow;

	/**
	 now show 时限
	 */
	private Integer noShowLimitTime;

	/**
	 no show 罚金
	 */
	private Integer penalty;

	/**
	 no show 特殊规则
	 */
	private Integer specialNoShow;

	/**
		其他规则
	 */
	private String other;

	/**
		编辑人
	 */
	private String editUser;

	/**
		添加时间
	 */
	private String addTime;

	/**
	      更新时间
	 */
	private String updateTime;

	private Integer status;

}
