package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: Scott
 * @Description: 服务平台表
 * @Date: Create in 14:33 2017/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlatformMenuVo extends Page implements Serializable{

    private static final long serialVersionUID = 645741060510983829L;
    /**
     * id
     */
    private Integer id;

    /**
     * 标识 ID
     */
    private String cid;

    /**
     * 平台名
     */
    private String platformName;

    private String platformNameZh;


    /**
     * 状态 0 下线 1 上线
     */
    private Integer status;


    /**
     * 编辑人
     */
    private String editUser;

    /**
     * 更新时间 精确到秒
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date addTime;


}
