package com.bjlt.spider.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 13:30 2017/10/16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class UnKnownLineVo extends Page implements Serializable {

    private static final long serialVersionUID = -5863259896808277277L;
    /**
     * id
     */
    private Integer id;



    /**
     * 出发城市三字码代码
     */
    private String fromCity;

    /**
     * 抵达城市三字码代码
     */
    private String toCity;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date addTime;



}
