package com.bjlt.spider.interfaces;

import com.bjlt.spider.entity.SearchRequestAfterOta;
import com.bjlt.spider.entity.VerifyRequestAfterOta;
import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.sql.SQLException;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 16:09 2017/10/24
 */
@FeignClient(value = "control-service", fallback = ControRpcHystrix.class)
public interface ControRpc {

    @RequestMapping(value = "/createSpider/create", method = RequestMethod.POST)
    RespEntity createSpider(@RequestBody SearchRequestAfterOta otaConfig) throws SQLException;

    @RequestMapping(value = "/verify/verify", method = RequestMethod.POST)
    RespEntity verify(@RequestBody VerifyRequestAfterOta ota) throws SQLException;


}
